> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all SessionContentRevision entities



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/sessioncontentrevision
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/sessioncontentrevision:
    get:
      tags:
        - SessionContentRevision
      summary: List all SessionContentRevision entities
      operationId: listSessionContentRevision
      parameters:
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip
          in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/SessionContentRevision'
                    type: array
                  limit:
                    nullable: true
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of SessionContentRevision
      security:
        - BearerAuth: []
components:
  schemas:
    SessionContentRevision:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        editorName:
          type: string
        editorUserId:
          type: string
        eventId:
          type: string
        id:
          type: string
        orgId:
          type: string
        restoredFromRevisionId:
          type: string
        revisionNumber:
          type: integer
        sessionId:
          type: string
        speakerUserIdsJson:
          description: Arbitrary JSON value
        title:
          type: string
      required:
        - id
        - orgId
        - eventId
        - sessionId
        - revisionNumber
        - title
        - editorUserId
        - editorName
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````